log for com.unciv.app:754

== Installed Android Tools ==

2022-09-22 12:44:39,966 DEBUG: Reading 'config.yml'
2022-09-22 12:44:39,974 DEBUG: Local Android SDK only has outdated apksigner versions
2022-09-22 12:44:39,974 WARNING: apksigner not found! Cannot sign or verify modern APKs
2022-09-22 12:44:39,977 INFO: Creating log directory
2022-09-22 12:44:39,977 INFO: Creating temporary directory
2022-09-22 12:44:39,977 INFO: Creating output directory
2022-09-22 12:44:40,038 DEBUG: Getting git vcs interface for https://github.com/yairm210/Unciv.git
2022-09-22 12:44:40,039 DEBUG: > git --version
git version 2.11.0
2022-09-22 12:44:40,250 INFO: Using git version 2.11.0
2022-09-22 12:44:40,250 DEBUG: Checking 4.2.10
2022-09-22 12:44:40,252 INFO: Building version 4.2.10 (754) of com.unciv.app
2022-09-22 12:44:40,252 INFO: Running 'sudo' commands in /home/vagrant
2022-09-22 12:44:40,253 DEBUG: > sudo DEBIAN_FRONTEND=noninteractive bash -x -c apt-get update || apt-get update && apt-get install -y openjdk-11-jdk-headless && update-alternatives --auto java
+ apt-get update
Get:1 http://security.debian.org/debian-security stretch/updates InRelease [59.1 kB]
Ign:2 http://deb.debian.org/debian stretch InRelease
Hit:3 http://deb.debian.org/debian stretch-updates InRelease
Get:4 http://deb.debian.org/debian stretch-backports-sloppy InRelease [51.4 kB]
Get:5 http://deb.debian.org/debian stretch-backports InRelease [99.9 kB]
Get:6 http://deb.debian.org/debian testing InRelease [161 kB]
Hit:7 http://deb.debian.org/debian stretch Release
Get:8 http://deb.debian.org/debian testing/main i386 Packages.diff/Index [63.6 kB]
Get:10 http://deb.debian.org/debian testing/main amd64 Packages.diff/Index [63.6 kB]
Get:11 http://deb.debian.org/debian testing/main Translation-en.diff/Index [63.6 kB]
Get:12 http://deb.debian.org/debian testing/main i386 Packages T-2022-09-22-1115.32-F-2022-09-21-1646.29.pdiff [63.7 kB]
Get:13 http://deb.debian.org/debian testing/main amd64 Packages T-2022-09-22-1115.32-F-2022-09-21-1646.29.pdiff [64.3 kB]
Get:12 http://deb.debian.org/debian testing/main i386 Packages T-2022-09-22-1115.32-F-2022-09-21-1646.29.pdiff [63.7 kB]
Get:13 http://deb.debian.org/debian testing/main amd64 Packages T-2022-09-22-1115.32-F-2022-09-21-1646.29.pdiff [64.3 kB]
Get:14 http://deb.debian.org/debian testing/main Translation-en T-2022-09-22-0435.24-F-2022-09-21-2248.55.pdiff [2,018 B]
Get:14 http://deb.debian.org/debian testing/main Translation-en T-2022-09-22-0435.24-F-2022-09-21-2248.55.pdiff [2,018 B]
Fetched 692 kB in 4s (150 kB/s)
Reading package lists...
+ apt-get install -y openjdk-11-jdk-headless
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  libasound2 libasound2-data openjdk-11-jre-headless
Suggested packages:
  libasound2-plugins alsa-utils openjdk-11-demo openjdk-11-source libnss-mdns
  fonts-dejavu-extra fonts-ipafont-gothic fonts-ipafont-mincho
  fonts-wqy-microhei | fonts-wqy-zenhei fonts-indic
The following NEW packages will be installed:
  libasound2 libasound2-data openjdk-11-jdk-headless openjdk-11-jre-headless
0 upgraded, 4 newly installed, 0 to remove and 2 not upgraded.
Need to get 230 MB of archives.
After this operation, 374 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian stretch/main amd64 libasound2-data all 1.1.3-5 [173 kB]
Get:2 http://deb.debian.org/debian stretch/main amd64 libasound2 amd64 1.1.3-5 [497 kB]
Get:3 http://deb.debian.org/debian stretch-backports/main amd64 openjdk-11-jre-headless amd64 11.0.6+10-1~bpo9+1 [37.4 MB]
Get:4 http://deb.debian.org/debian stretch-backports/main amd64 openjdk-11-jdk-headless amd64 11.0.6+10-1~bpo9+1 [192 MB]
Fetched 230 MB in 3s (64.0 MB/s)
Selecting previously unselected package libasound2-data.
(Reading database ... 65038 files and directories currently installed.)
Preparing to unpack .../libasound2-data_1.1.3-5_all.deb ...
Unpacking libasound2-data (1.1.3-5) ...
Selecting previously unselected package libasound2:amd64.
Preparing to unpack .../libasound2_1.1.3-5_amd64.deb ...
Unpacking libasound2:amd64 (1.1.3-5) ...
Selecting previously unselected package openjdk-11-jre-headless:amd64.
Preparing to unpack .../openjdk-11-jre-headless_11.0.6+10-1~bpo9+1_amd64.deb ...
Unpacking openjdk-11-jre-headless:amd64 (11.0.6+10-1~bpo9+1) ...
Selecting previously unselected package openjdk-11-jdk-headless:amd64.
Preparing to unpack .../openjdk-11-jdk-headless_11.0.6+10-1~bpo9+1_amd64.deb ...
Unpacking openjdk-11-jdk-headless:amd64 (11.0.6+10-1~bpo9+1) ...
Setting up libasound2-data (1.1.3-5) ...
Setting up libasound2:amd64 (1.1.3-5) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Setting up openjdk-11-jre-headless:amd64 (11.0.6+10-1~bpo9+1) ...
Setting up openjdk-11-jdk-headless:amd64 (11.0.6+10-1~bpo9+1) ...
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jdeprscan to provide /usr/bin/jdeprscan (jdeprscan) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jimage to provide /usr/bin/jimage (jimage) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jlink to provide /usr/bin/jlink (jlink) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jmod to provide /usr/bin/jmod (jmod) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jshell to provide /usr/bin/jshell (jshell) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jaotc to provide /usr/bin/jaotc (jaotc) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jhsdb to provide /usr/bin/jhsdb (jhsdb) in auto mode
+ update-alternatives --auto java
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/java to provide /usr/bin/java (java) in auto mode
2022-09-22 12:45:04,664 DEBUG: > sudo passwd --lock root
passwd: password expiry information changed.
2022-09-22 12:45:05,009 DEBUG: > sudo SUDO_FORCE_REMOVE=yes dpkg --purge sudo
(Reading database ... 65695 files and directories currently installed.)
Removing sudo (1.8.19p1-2.1+deb9u3) ...
Purging configuration files for sudo (1.8.19p1-2.1+deb9u3) ...
Processing triggers for systemd (232-25+deb9u14) ...
2022-09-22 12:45:10,271 INFO: Getting source for revision 11de54d8d5e8157250dbd73ae9a7d27018d16861
2022-09-22 12:45:10,272 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:10,272 DEBUG: > git rev-parse --show-toplevel
2022-09-22 12:45:10,480 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:10,480 DEBUG: > git submodule foreach --recursive git reset --hard
2022-09-22 12:45:10,590 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:10,590 DEBUG: > git reset --hard
2022-09-22 12:45:11,010 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:11,011 DEBUG: > git submodule foreach --recursive git clean -dffx
2022-09-22 12:45:11,116 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:11,117 DEBUG: > git clean -dffx
2022-09-22 12:45:11,222 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:11,222 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch origin
2022-09-22 12:45:11,629 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:11,629 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com remote prune origin
2022-09-22 12:45:11,935 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:11,935 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch --prune --tags --force origin
2022-09-22 12:45:12,341 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:12,341 DEBUG: > git remote set-head origin --auto
2022-09-22 12:45:13,048 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:13,048 DEBUG: > git checkout -f 11de54d8d5e8157250dbd73ae9a7d27018d16861
2022-09-22 12:45:13,453 DEBUG: Directory: build/com.unciv.app
2022-09-22 12:45:13,453 DEBUG: > git clean -dffx
2022-09-22 12:45:13,563 INFO: Creating local.properties file at build/com.unciv.app/local.properties
2022-09-22 12:45:13,564 INFO: Creating local.properties file at build/com.unciv.app/android/local.properties
2022-09-22 12:45:13,565 DEBUG: Removing debuggable flags from build/com.unciv.app/android
2022-09-22 12:45:13,574 INFO: Removing specified files
2022-09-22 12:45:13,574 INFO: Removing desktop
2022-09-22 12:45:13,584 INFO: Cleaned build.gradle.kts of keysigning configs at build/com.unciv.app/android/build.gradle.kts
2022-09-22 12:45:13,591 INFO: Running 'prebuild' commands in build/com.unciv.app/android
2022-09-22 12:45:13,592 DEBUG: Directory: build/com.unciv.app/android
2022-09-22 12:45:13,592 DEBUG: > bash -x -c -- JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 /opt/android-sdk/tools/bin/sdkmanager 'platforms;android-32' 'build-tools;32.0.0' > /dev/null
+ JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64
+ /opt/android-sdk/tools/bin/sdkmanager 'platforms;android-32' 'build-tools;32.0.0'
Warning: File /home/vagrant/.android/repositories.cfg could not be loaded.
2022-09-22 12:45:22,291 INFO: Cleaning Gradle project...
2022-09-22 12:45:22,291 DEBUG: Directory: build/com.unciv.app/android
2022-09-22 12:45:22,291 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid clean
Found 7.2 via distributionUrl
Downloading missing gradle version 7.2
cachedir /home/vagrant/.cache/fdroidserver
/home/vagrant/.cache/fdroidserver/gradle-7.2-bin.zip: OK
Running /opt/gradle/versions/7.2/bin/gradle clean

Welcome to Gradle 7.2!

Here are the highlights of this release:
 - Toolchain support for Scala
 - More cache hits when Java source files have platform-specific line endings
 - More resilient remote HTTP build cache behavior

For more details see https://docs.gradle.org/7.2/release-notes.html

To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/7.2/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build 
> Task :buildSrc:pluginDescriptors
> Task :buildSrc:processResources NO-SOURCE
> Task :buildSrc:processTestResources NO-SOURCE
> Task :buildSrc:compileKotlin
> Task :buildSrc:compileJava NO-SOURCE
> Task :buildSrc:compileGroovy NO-SOURCE
> Task :buildSrc:classes UP-TO-DATE
> Task :buildSrc:inspectClassesForKotlinIC

> Task :buildSrc:jar
:jar: No valid plugin descriptors were found in META-INF/gradle-plugins

> Task :buildSrc:assemble
> Task :buildSrc:compileTestKotlin NO-SOURCE
> Task :buildSrc:pluginUnderTestMetadata
> Task :buildSrc:compileTestJava NO-SOURCE
> Task :buildSrc:compileTestGroovy NO-SOURCE
> Task :buildSrc:testClasses UP-TO-DATE
> Task :buildSrc:test NO-SOURCE
> Task :buildSrc:validatePlugins
> Task :buildSrc:check
> Task :buildSrc:build
> Task :android:clean UP-TO-DATE

BUILD SUCCESSFUL in 1m 37s
7 actionable tasks: 6 executed, 1 up-to-date
2022-09-22 12:47:03,356 INFO: Scanning source for common problems...
2022-09-22 12:47:03,365 INFO: Removing gradle-wrapper.jar at gradle/wrapper/gradle-wrapper.jar
2022-09-22 12:47:03,385 INFO: Removing gzip file archive at site/sitemap.xml.gz
2022-09-22 12:47:03,469 INFO: Creating source tarball...
2022-09-22 12:47:06,327 INFO: Building Gradle project...
2022-09-22 12:47:06,327 DEBUG: Directory: build/com.unciv.app/android
2022-09-22 12:47:06,327 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid assembleRelease
Found 7.2 via distributionUrl
Running /opt/gradle/versions/7.2/bin/gradle assembleRelease
To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/7.2/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build 
> Task :buildSrc:compileKotlin FROM-CACHE
> Task :buildSrc:compileJava NO-SOURCE
> Task :buildSrc:compileGroovy NO-SOURCE
> Task :buildSrc:pluginDescriptors
> Task :buildSrc:processResources NO-SOURCE
> Task :buildSrc:classes UP-TO-DATE
> Task :buildSrc:inspectClassesForKotlinIC

> Task :buildSrc:jar
:jar: No valid plugin descriptors were found in META-INF/gradle-plugins

> Task :buildSrc:assemble
> Task :buildSrc:compileTestKotlin NO-SOURCE
> Task :buildSrc:pluginUnderTestMetadata
> Task :buildSrc:compileTestJava NO-SOURCE
> Task :buildSrc:compileTestGroovy NO-SOURCE
> Task :buildSrc:processTestResources NO-SOURCE
> Task :buildSrc:testClasses UP-TO-DATE
> Task :buildSrc:test NO-SOURCE
> Task :buildSrc:validatePlugins FROM-CACHE
> Task :buildSrc:check UP-TO-DATE
> Task :buildSrc:build
> Task :android:copyAndroidNatives
> Task :android:buildKotlinToolingMetadata
> Task :android:preBuild UP-TO-DATE
> Task :android:preReleaseBuild UP-TO-DATE
> Task :android:compileReleaseAidl NO-SOURCE
> Task :android:compileReleaseRenderscript
> Task :android:generateReleaseBuildConfig
> Task :android:generateReleaseResValues
> Task :android:generateReleaseResources
> Task :android:checkReleaseAarMetadata
> Task :android:createReleaseCompatibleScreenManifests
> Task :android:extractDeepLinksRelease
> Task :core:processResources NO-SOURCE
> Task :android:mergeReleaseResources
> Task :android:processReleaseMainManifest
> Task :android:processReleaseManifest
> Task :android:javaPreCompileRelease
> Task :android:extractProguardFiles
> Task :android:mergeReleaseJniLibFolders
> Task :android:desugarReleaseFileDependencies
> Task :android:checkReleaseDuplicateClasses
> Task :core:compileKotlin
> Task :android:processReleaseManifestForPackage
> Task :android:mergeReleaseArtProfile
> Task :android:mergeExtDexRelease
> Task :android:mergeReleaseShaders
> Task :android:compileReleaseShaders NO-SOURCE
> Task :android:generateReleaseAssets UP-TO-DATE
> Task :android:mergeReleaseAssets
> Task :android:processReleaseJavaRes NO-SOURCE
> Task :android:collectReleaseDependencies
> Task :android:sdkReleaseDependencyData
> Task :android:writeReleaseAppMetadata
> Task :android:writeReleaseSigningConfigVersions
> Task :android:compressReleaseAssets
> Task :android:processReleaseResources
> Task :android:optimizeReleaseResources

> Task :core:compileKotlin
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/MainMenuScreen.kt: (56, 75): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/MainMenuScreen.kt: (74, 40): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/MainMenuScreen.kt: (74, 76): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/MainMenuScreen.kt: (200, 58): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/json/NonStringKeyMapSerializer.kt: (44, 13): 'readOldFormat(JsonValue, Json, MT): Unit' is deprecated. This is only here temporarily until all users migrate the old properties to the new ones
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/GameInfo.kt: (212, 61): 'religionEnabled: Boolean' is deprecated. As of 4.2.3
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/automation/unit/SpecificUnitAutomation.kt: (246, 78): 'CanConstructIfNoOtherActions' is deprecated. as of 4.1.7
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/automation/unit/UnitAutomation.kt: (182, 51): 'CanConstructIfNoOtherActions' is deprecated. as of 4.1.7
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/city/CityStats.kt: (119, 82): 'ProductionToScienceConversionBonus' is deprecated. s of 4.1.14
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/city/IConstruction.kt: (252, 80): 'EnablesScienceProduction' is deprecated. s of 4.1.14
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/city/IConstruction.kt: (254, 80): 'EnablesGoldProduction' is deprecated. As of 4.1.14
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/civilization/CivInfoTransientUpdater.kt: (149, 121): 'EnemyLandUnitsSpendExtraMovementDepreciated' is deprecated. As of 4.2.4
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/civilization/CivInfoTransientUpdater.kt: (153, 63): 'EnemyLandUnitsSpendExtraMovementDepreciated' is deprecated. As of 4.2.4
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/civilization/CivilizationInfo.kt: (691, 32): 'EnemyLandUnitsSpendExtraMovementDepreciated' is deprecated. As of 4.2.4
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/map/MapUnit.kt: (1236, 21): 'hasUnique(String): Boolean' is deprecated. as of 4.0.15
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/map/TileInfo.kt: (325, 67): 'DoubleStatsFromNaturalWonders' is deprecated. As of 4.1.19
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/logic/map/TileInfo.kt: (345, 58): 'DoubleStatsFromNaturalWonders' is deprecated. As of 4.1.19
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/models/metadata/GameParameters.kt: (54, 20): 'religionEnabled: Boolean' is deprecated. As of 4.2.3
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/models/metadata/GameParameters.kt: (54, 38): 'religionEnabled: Boolean' is deprecated. As of 4.2.3
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/models/metadata/GameSettings.kt: (206, 41): Unchecked cast: KMutableProperty0<*> to KMutableProperty0<T>
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/models/ruleset/Building.kt: (670, 41): 'EnemyLandUnitsSpendExtraMovementDepreciated' is deprecated. As of 4.2.4
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/models/ruleset/Ruleset.kt: (231, 25): 'requiredBuildingInAllCities: String?' is deprecated. As of 3.18.15 - replace with RequiresBuildingInAllCities unique
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/models/ruleset/Ruleset.kt: (232, 108): 'requiredBuildingInAllCities: String?' is deprecated. As of 3.18.15 - replace with RequiresBuildingInAllCities unique
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/models/ruleset/Ruleset.kt: (674, 26): 'requiredBuildingInAllCities: String?' is deprecated. As of 3.18.15 - replace with RequiresBuildingInAllCities unique
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/models/ruleset/Ruleset.kt: (676, 95): 'requiredBuildingInAllCities: String?' is deprecated. As of 3.18.15 - replace with RequiresBuildingInAllCities unique
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CitizenManagementTable.kt: (34, 44): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CitizenManagementTable.kt: (49, 44): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CitizenManagementTable.kt: (68, 43): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityConstructionsTable.kt: (94, 58): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityConstructionsTable.kt: (105, 62): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityConstructionsTable.kt: (285, 40): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityConstructionsTable.kt: (288, 44): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityConstructionsTable.kt: (342, 57): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityConstructionsTable.kt: (346, 61): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityConstructionsTable.kt: (634, 41): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityConstructionsTable.kt: (634, 67): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityInfoTable.kt: (55, 45): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityInfoTable.kt: (55, 71): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityInfoTable.kt: (325, 58): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityScreenCityPickerTable.kt: (19, 34): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityScreenTileTable.kt: (34, 45): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityScreenTileTable.kt: (34, 71): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityScreenTileTable.kt: (36, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityStatsTable.kt: (38, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/CityStatsTable.kt: (41, 45): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/ConstructionInfoTable.kt: (26, 60): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/ConstructionInfoTable.kt: (26, 86): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/cityscreen/ConstructionInfoTable.kt: (28, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/civilopedia/CivilopediaScreen.kt: (129, 42): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/images/ImageGetter.kt: (450, 32): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/mapeditor/MapEditorToolsDrawer.kt: (50, 38): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/multiplayer/MultiplayerScreen.kt: (20, 25): Parameter 'previousScreen' is never used
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/NationTable.kt: (32, 45): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/NationTable.kt: (53, 49): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/NationTable.kt: (58, 50): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/NationTable.kt: (62, 49): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/NationTable.kt: (67, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/PlayerPickerTable.kt: (23, 31): 'GameParametersScreen' is deprecated. As of 4.0.x
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/PlayerPickerTable.kt: (141, 46): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/PlayerPickerTable.kt: (141, 72): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/PlayerPickerTable.kt: (161, 47): 'GameParametersScreen' is deprecated. As of 4.0.x
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/newgamescreen/PlayerPickerTable.kt: (439, 31): 'GameParametersScreen' is deprecated. As of 4.0.x
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/options/AboutTab.kt: (10, 14): Parameter 'screen' is never used
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/options/GameplayTab.kt: (45, 84): Parameter 'screen' is never used
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/options/MultiplayerTab.kt: (283, 34): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/overviewscreen/GlobalPoliticsOverviewTable.kt: (49, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/overviewscreen/NotificationsOverviewTable.kt: (83, 56): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/overviewscreen/ReligionOverviewTable.kt: (182, 38): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/overviewscreen/ReligionOverviewTable.kt: (182, 64): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/overviewscreen/ResourcesOverviewTable.kt: (46, 37): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/overviewscreen/TradesOverviewTable.kt: (46, 40): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/overviewscreen/UnitOverviewTable.kt: (113, 41): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/overviewscreen/UnitOverviewTable.kt: (113, 67): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/pickerscreens/ModManagementOptions.kt: (163, 41): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/pickerscreens/TechButton.kt: (27, 34): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/pickerscreens/TechButton.kt: (115, 58): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/popup/Popup.kt: (55, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/popup/Popup.kt: (56, 45): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/popup/Popup.kt: (56, 71): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/saves/LoadGameScreen.kt: (34, 22): Parameter 'previousScreen' is never used
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/tilegroups/CityButton.kt: (143, 47): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/tilegroups/CityButton.kt: (197, 44): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/tilegroups/CityButton.kt: (498, 42): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/tilegroups/TileGroupIcons.kt: (89, 55): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/BaseScreen.kt: (120, 57): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/BaseScreen.kt: (124, 57): 'getRectangleWithOutline(): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/BaseScreen.kt: (125, 47): 'getSelectBox(): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/BaseScreen.kt: (126, 55): 'getSelectBoxPressed(): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/BaseScreen.kt: (127, 45): 'getCheckBox(): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/BaseScreen.kt: (128, 53): 'getCheckBoxPressed(): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/ExpanderTab.kt: (73, 39): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/ExpanderTab.kt: (73, 65): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/LanguageTable.kt: (14, 36): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/LanguageTable.kt: (33, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/TabbedPager.kt: (64, 42): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/TabbedPager.kt: (294, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/UncivTooltip.kt: (186, 50): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/UncivTooltip.kt: (189, 42): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/utils/extensions/Scene2dExtensions.kt: (316, 36): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/victoryscreen/VictoryScreen.kt: (287, 43): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/NotificationsScroll.kt: (74, 47): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/PlayerReadyScreen.kt: (17, 40): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/TechPolicyDiplomacyButtons.kt: (47, 49): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/WorldMapHolder.kt: (445, 75): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/WorldScreen.kt: (129, 78): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/WorldScreen.kt: (130, 21): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/WorldScreenTopBar.kt: (78, 37): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/WorldScreenTopBar.kt: (79, 46): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/WorldScreenTopBar.kt: (84, 40): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/WorldScreenTopBar.kt: (87, 41): 'getRoundedEdgeRectangle(Color? = ...): NinePatchDrawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/bottombar/BattleTable.kt: (41, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/bottombar/BattleTable.kt: (41, 60): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/bottombar/TileInfoTable.kt: (20, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/bottombar/TileInfoTable.kt: (20, 60): 'getBlue(): Color' is deprecated. Use skin defined base color instead
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/minimap/MinimapHolder.kt: (65, 57): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/minimap/MinimapHolder.kt: (70, 57): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/unit/UnitActions.kt: (707, 66): 'CanConstructIfNoOtherActions' is deprecated. as of 4.1.7
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/unit/UnitTable.kt: (68, 34): 'getBackground(Color): Drawable' is deprecated. Use SkinStrings.getUiBackground instead to make UI element moddable
w: /home/vagrant/build/com.unciv.app/core/src/com/unciv/ui/worldscreen/unit/UnitTable.kt: (68, 60): 'getBlue(): Color' is deprecated. Use skin defined base color instead

> Task :core:compileJava NO-SOURCE
> Task :core:classes UP-TO-DATE
> Task :core:inspectClassesForKotlinIC
> Task :core:jar
> Task :android:mergeReleaseNativeLibs

> Task :android:stripReleaseDebugSymbols
Unable to strip the following libraries, packaging them as they are: libgdx.so.

> Task :android:extractReleaseNativeSymbolTables
Unable to extract native debug metadata from /home/vagrant/build/com.unciv.app/android/build/intermediates/merged_native_libs/release/out/lib/x86_64/libgdx.so because unable to locate the objcopy executable for the x86_64 ABI.
Unable to extract native debug metadata from /home/vagrant/build/com.unciv.app/android/build/intermediates/merged_native_libs/release/out/lib/armeabi-v7a/libgdx.so because unable to locate the objcopy executable for the armeabi-v7a ABI.
Unable to extract native debug metadata from /home/vagrant/build/com.unciv.app/android/build/intermediates/merged_native_libs/release/out/lib/x86/libgdx.so because unable to locate the objcopy executable for the x86 ABI.
Unable to extract native debug metadata from /home/vagrant/build/com.unciv.app/android/build/intermediates/merged_native_libs/release/out/lib/arm64-v8a/libgdx.so because unable to locate the objcopy executable for the arm64-v8a ABI.

> Task :android:mergeReleaseNativeDebugMetadata NO-SOURCE
> Task :android:compileReleaseKotlin
> Task :android:compileReleaseJavaWithJavac
> Task :android:dexBuilderRelease
> Task :android:mergeReleaseJavaResource

> Task :android:lintVitalAnalyzeRelease
e: /home/vagrant/build/com.unciv.app/core/build/libs/core-1.0.1.jar!/META-INF/core.kotlin_module: Module was compiled with an incompatible version of Kotlin. The binary version of its metadata is 1.7.1, expected version is 1.5.1.
e: /home/vagrant/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-jdk8/1.7.0/362da0b4951ed79a6591743a7fddcfb8c73809f6/kotlin-stdlib-jdk8-1.7.0.jar!/META-INF/kotlin-stdlib-jdk8.kotlin_module: Module was compiled with an incompatible version of Kotlin. The binary version of its metadata is 1.7.1, expected version is 1.5.1.
e: /home/vagrant/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-jdk7/1.7.0/fbeaa8fa63cbab09c547083a449097be6660a9a/kotlin-stdlib-jdk7-1.7.0.jar!/META-INF/kotlin-stdlib-jdk7.kotlin_module: Module was compiled with an incompatible version of Kotlin. The binary version of its metadata is 1.7.1, expected version is 1.5.1.
e: /home/vagrant/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib/1.7.0/a5f42c684ad9003160ef0d0f693ecf0ba7b13549/kotlin-stdlib-1.7.0.jar!/META-INF/kotlin-stdlib.kotlin_module: Module was compiled with an incompatible version of Kotlin. The binary version of its metadata is 1.7.1, expected version is 1.5.1.
e: /home/vagrant/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-common/1.7.0/51736992f422993a1e741051bdf3c12801bc1ca1/kotlin-stdlib-common-1.7.0.jar!/META-INF/kotlin-stdlib-common.kotlin_module: Module was compiled with an incompatible version of Kotlin. The binary version of its metadata is 1.7.1, expected version is 1.5.1.

> Task :android:mergeDexRelease
> Task :android:lintVitalReportRelease
> Task :android:lintVitalRelease
> Task :android:l8DexDesugarLibRelease
> Task :android:compileReleaseArtProfile
> Task :android:packageRelease
> Task :android:createReleaseApkListingFileRedirect
> Task :android:assembleRelease

BUILD SUCCESSFUL in 3m 50s
52 actionable tasks: 50 executed, 2 from cache
2022-09-22 12:50:57,908 DEBUG: Popen(['git', 'cat-file', '--batch-check'], cwd=/home/vagrant/build/com.unciv.app, universal_newlines=False, shell=None)
2022-09-22 12:50:57,912 INFO: Successfully built version 4.2.10 of com.unciv.app from 11de54d8d5e8157250dbd73ae9a7d27018d16861
2022-09-22 12:50:58,960 DEBUG: AXML contains a RESOURCE MAP
2022-09-22 12:50:58,961 DEBUG: Start of Namespace mapping: prefix 36: 'android' --> uri 88: 'http://schemas.android.com/apk/res/android'
2022-09-22 12:50:58,962 DEBUG: Checking build/com.unciv.app/android/build/outputs/apk/release/Unciv-release-unsigned.apk
2022-09-22 12:50:58,964 DEBUG: AXML contains a RESOURCE MAP
2022-09-22 12:50:58,965 DEBUG: Start of Namespace mapping: prefix 36: 'android' --> uri 88: 'http://schemas.android.com/apk/res/android'
2022-09-22 12:50:58,988 INFO: success: com.unciv.app
2022-09-22 12:50:58,988 INFO: Finished
2022-09-22 12:50:58,989 INFO: 1 build succeeded